Bug 1645363 - CVE-2018-14652 glusterfs: Buffer overflow in "features/locks" translator allows for denial of service [fedora-all]
Summary: CVE-2018-14652 glusterfs: Buffer overflow in "features/locks" translator allo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: locks
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On: 1644579 1644761 1645373
Blocks: CVE-2018-14652 glusterfs-4.1.6
TreeView+ depends on / blocked
 
Reported: 2018-11-02 03:41 UTC by Ravishankar N
Modified: 2018-11-29 15:26 UTC (History)
13 users (show)

Fixed In Version: glusterfs-4.1.6
Doc Type: Release Note
Doc Text:
Clone Of: 1644761
Environment:
Last Closed: 2018-11-29 15:26:23 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 21535 None Merged features/locks: add buffer overflow checks in pl_getxattr 2018-11-05 18:54:48 UTC

Description Ravishankar N 2018-11-02 03:41:43 UTC
+++ This bug was initially created as a clone of Bug #1644761 +++

+++ This bug was initially created as a clone of Bug #1644579 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-10-31 04:12:01 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1632974,1644579

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

--- Additional comment from Ravishankar N on 2018-11-01 21:27:58 EDT ---

Hi Amar,
The fix for this patch is already present in master branch as a part of the commit 052849983e51a061d7fb2c3ffd74fa78bb257084 (https://review.gluster.org/#/c/glusterfs/+/20933/), which is not there in the release branches. Shall I move this BZ to modified, and send the relevant changes to fix the locks.c CVE alone to the supported release branch(es)?

--- Additional comment from Ravishankar N on 2018-11-01 23:40:48 EDT ---

Got an ack from Amar via email. Moving it to MODIFIED. Will be sending the fix for locks vulnerability alone on release branches.

Comment 1 Worker Ant 2018-11-02 04:46:23 UTC
REVIEW: https://review.gluster.org/21535 (features/locks: add buffer overflow checks in pl_getxattr) posted (#1) for review on release-4.1 by Ravishankar N

Comment 2 Worker Ant 2018-11-05 18:54:43 UTC
REVIEW: https://review.gluster.org/21535 (features/locks: add buffer overflow checks in pl_getxattr) posted (#1) for review on release-4.1 by Ravishankar N

Comment 3 Shyamsundar 2018-11-29 15:26:23 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-4.1.6, please open a new bug report.

glusterfs-4.1.6 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-November/000116.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.